A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Functions
setDefaultRandomEngineType
ArrayFire Functions | ArrayFire Functions by Category » Functions to create and modify Arrays » Functions to create arrays. » Random Number Generation

Set the default random engine type. More...

## Functions
AFAPI void | setDefaultRandomEngineType (randomEngineType rtype)
| C++ Interface to set the default random engine type.
AFAPI af_err | af_set_default_random_engine_type (const af_random_engine_type rtype)
| C Interface to set the type of the default random engine.

## Detailed Description

Set the default random engine type.

This random engine type is used when calling random number functions without an af::randomEngine object as an argument.

## Function Documentation

## ◆ af_set_default_random_engine_type()

AFAPI af_err af_set_default_random_engine_type | ( | const af_random_engine_type | rtype | ) |

C Interface to set the type of the default random engine.

Parameters

  [in] | rtype | type of the random number generator

Returns
  AF_SUCCESS, if function returns successfully, else an af_err code is given

## ◆ setDefaultRandomEngineType()

AFAPI void setDefaultRandomEngineType | ( | randomEngineType | rtype | ) |

C++ Interface to set the default random engine type.

Parameters

  [in] | rtype | type of the random number generator